[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# mem

Direct memory access (DOS only) in bytes

## Declaration

Source position: system.fpd line 101

`var mem: array [0..$7fffffff-1] of Byte;`

## Description

mem is an array of bytes, representing the computer's memory. This array is available only when compiling for the Dos Go32V2 target. It's use is not recommended, and it is not even available on other platforms.

## See also

memw |  | Direct memory access (DOS only) in words
meml |  | Direct memory access (DOS only) in longints